> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Archives or restores the specified task list.

POST https://api.awork.com/api/v1/projects/{projectId}/tasklists/{taskListId}/setarchived
Content-Type: application/json

Archives or restores the specified task list. An archived task list remains available but cannot be edited.
The user must have `project-planning-data:manage` permission for the project.

Reference: https://developers.awork.com/apiv1/task-lists/post-project-task-list-set-archived-by-project-id-and-task-list-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required) — The id of the project.
- `taskListId` (string, required) — The id of the task list.

### Body (application/json)

This endpoint expects an ArchivedTaskListForm.

- `isArchived` (boolean, optional) — Flags the entity as archived.
- `taskOperation` (string, optional, nullable) — The operation for tasks which are not yet done. The operation is required if you set a list to archived. Can be: task-to-done: Set tasks to 'Done' or the first status of type 'done'. task-remove: Remove tasks from this task list. task-move: Move tasks to another list. task-delete: Deletes the non done tasks.
- `taskListId` (string, optional, nullable) — The id of the task list where all non done tasks should moved to. Only necessary if TaskOperation is set to 'task-move'.
- `deleteTimeTrackings` (boolean, optional, nullable) — Set to true to delete also the related time trackings of all non done tasks. Only necessary if TaskOperation is set to 'task-delete'.

## Response

### 200

OK

- `id` (string, optional) — The id of the task list.
- `createdOn` (string, optional) — The date this task list was created.
- `createdBy` (string, optional) — The id of the user who created this task list.
- `updatedOn` (string, optional) — The date this task list was last modified.
- `updatedBy` (string, optional) — The id of the user who last modified this task list.
- `name` (string, optional, nullable) — The name of the list.
- `order` (double, optional, nullable) — The order of the list.
- `plannedDuration` (integer, optional, nullable) — The planned duration for this task list, in seconds.
- `totalPlannedDuration` (long, optional, nullable) — The total planned duration for this task list, including all primary tasks (parent tasks which have this tacklist as PrimaryTaskListId), in seconds. Calculated: sum PlannedDuration of primary tasks in list Archived task lists are not included in the calculation.
- `totalPlannedDurationWithHierarchy` (long, optional, nullable) — The total planned duration for this task list, including all primary tasks (parent tasks which have this task list as PrimaryTaskListId), in seconds. Calculated: max(PlannedDuration, sum TotalPlannedDurationWithHierarchy of primary tasks in list) Archived task lists are not included in the calculation.
- `isArchived` (boolean, optional) — Whether the task list has been archived.
- `isHiddenForConnectUsers` (boolean, optional) — True if the task in this list will be not visible for external workspace users. False otherwise.
- `trackedDuration` (integer, optional) — The total duration of time trackings for tasks in this task list, in seconds. Includes both billable and non-billable time trackings. Backend-calculated property. When hierarchy feature flag is enabled: only tasks with PrimaryTaskListId == this list. When hierarchy feature flag is disabled: all tasks associated with this list.

## Errors

### 400 Bad Request Error

Bad Request

- `code` (string, required) — The error code.
- `description` (string, required) — The description of the error.
- `link` (string, required) — The link to the API documentation page.
- `details` (list of string, optional, nullable) — A list of details describing the error.
- `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property.
- `traceId` (string, optional, nullable) — The request trace id for tracking the request.

### 401 Unauthorized Error

Unauthorized

- `code` (string, required) — The error code.
- `description` (string, required) — The description of the error.
- `link` (string, required) — The link to the API documentation page.
- `details` (list of string, optional, nullable) — A list of details describing the error.
- `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property.
- `traceId` (string, optional, nullable) — The request trace id for tracking the request.

### 404 Not Found Error

Not Found

- `code` (string, required) — The error code.
- `description` (string, required) — The description of the error.
- `link` (string, required) — The link to the API documentation page.
- `details` (list of string, optional, nullable) — A list of details describing the error.
- `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property.
- `traceId` (string, optional, nullable) — The request trace id for tracking the request.

## Types

### ValidationErrorResponse

The validation error response.

- `property` (string, optional, nullable) — The name of the property that failed validation.
- `message` (string, optional, nullable) — The reason why this property failed validation.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdOn": "2021-03-22T15:00:00Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2021-03-22T16:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "name": "Product and Marketing To-Dos",
  "order": 2,
  "plannedDuration": 1,
  "totalPlannedDuration": 1,
  "totalPlannedDurationWithHierarchy": 1,
  "isArchived": false,
  "isHiddenForConnectUsers": true,
  "trackedDuration": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/setarchived"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/setarchived';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/setarchived"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/setarchived")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/setarchived")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/setarchived', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/setarchived");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/setarchived")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```